---
{%- from "transmission/map.jinja" import transmission with context %}

transmission-dl-dir:
  file.directory:
    - name: {{ transmission['config']['download-dir'] }}
    - makedirs: True

transmission-settings-directory:
  file.directory:
    - name: /etc/transmission-daemon
    - user: root
    - group: debian-transmission
    - mode: 770

transmission-settings-master:
  file.managed:
    - name: /etc/transmission-daemon/settings.json.master
    - source: salt://transmission/settings.json.j2
    - user: root
    - group: debian-transmission
    - mode: 0660
    - template: jinja
    - watch_in:
      - service: transmission-service

transmission-settings:
  file.managed:
    - name: /etc/transmission-daemon/settings.json
    - source: salt://transmission/settings.json.j2
    - user: root
    - group: debian-transmission
    - mode: 0660
    - template: jinja